Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class DiscoveredAnnotation

    java.lang.Object
      org.eclipse.jetty.webapp.DiscoveredAnnotation

Direct Known Subclasses:
  WebFilterAnnotation, WebListenerAnnotation, WebServletAnnotation

    public abstract class DiscoveredAnnotation

extends java.lang.Object

DiscoveredAnnotation Represents an annotation that has been discovered by scanning source code of WEB-INF/classes and WEB-INF/lib jars.

Field Summary
`protected java.lang.String` | `_className`
`protected java.lang.Class` | `_clazz`
`protected WebAppContext` | `_context`

Constructor Summary
`DiscoveredAnnotation(WebAppContext context, java.lang.String className)`

Method Summary
`abstract void` | `apply()`
`java.lang.Class` | `getTargetClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

### _className

    protected java.lang.String _className

### _clazz

    protected java.lang.Class _clazz

Constructor Detail

### DiscoveredAnnotation

    public DiscoveredAnnotation(WebAppContext context,
                                java.lang.String className)

Method Detail

### apply

    public abstract void apply()

### getTargetClass

    public java.lang.Class getTargetClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.